PF PRINT FORMATTER

^BMENU ACCESS:	@ME.HLP^FIXEDMENU[Main Menu]-->@ME.HLP^LAYOUT[Layout]-->Print-formatter
KEYSTROKES:	<F2> L P^b

	(Immediate Action - No Further Input - Dialog Box) The Print
	Formatter reads the current file, executing all of the
	@FMTCODES[format codes].  It then creates and displays an `interpreted',
	printer-ready file in a new window.   The print formatter
	assigns the same filename as the original, adding a .PRT extension.

	The user can modify the .PRT file, send it to the printer, or
	save it and print it from the background via the
	@ME.HLP^DO[DOS print spooler].


FMTCODES FORMAT CODES

^BMENU ACCESS:	@ME.HLP^FIXEDMENU[Main Menu]-->@ME.HLP^LAYOUT[Layout]-->Format-Codes
KEYSTROKES:	<F2> L C^b

	(Sub-Menu, Data Entry and/or Immediate Action)  Selecting the
	format-Codes item from the Layout Menu brings up another
	menu from which you can select the type of print-formatting
	codes to be inserted into the current file.  Subsequent
	selections will either: a) cause that code to be inserted into
	the file at the cursor, or; b) request further input before
	inserting the appropriate code at the cursor.

	Multi-Edit supports user-defined codes as well as pre-determined
	formatting codes which can be inserted into the @PF[.PRT file] to
	achieve such effects as: line centering, page breaks, and
	comment lines; special print attributes (expanded, italics,
	underlined); page formatting (line spacing, print margins, page
	length); header and footer definition and placement; and the
	definition and generation of a table of contents.

	Some format codes are printer-specific and you should verify the
	printer designations and setup specifications in the @ME.HLP^PR[Print] and
	@ME.HLP^IN[Install] menus before sending the .PRT file to the printer.

	The default delimiter (required first character) for all format
	codes is the "." (dot, or period).  However, that can be changed
	through the @ME.HLP^EDITSET[Edit Settings] selection on the Install menu.

	The format-codes menu includes the following sub-menus:


	  ┌────@FMTCODEMISC[MISCELLANEOUS]────╖              ┌──────@FMTCODEVAR[VARIABLES]──────╖
	  │                     ║              │                     ║
	  │  Page Breaks        ║              │  Filename           ║
	  │  Center line        ║              │  Time               ║
	  │  Comment line       ║              │  Date               ║
	  │  Ignore line        ║              │  Page Number        ║
	  │  Define user code   ║              ╘═════════════════════╝
	  ╘═════════════════════╝



	 ┌─────@FMTCODEATT[ATTRIBUTES]──────╖               ┌─────@FMTCODEPGSTUP[PAGE SETUP]──────╖
	 │                     ║               │                     ║
	 │  Underline Begin    ║               │  Line Spacing       ║
	 │  Underline End      ║               │  Page Length        ║
	 │  Emphasized Begin   ║               │  Right Margin       ║
	 │  Emphasized End     ║               │  Left Margin        ║
	 │  Italics Begin      ║               │  Top Margin         ║
	 │  Italics End        ║               │  Bottom Margin      ║
	 │  Doublewide Begin   ║               │  Form Feeds         ║
	 │  Doublewide End     ║               ╘═════════════════════╝
	 ╘═════════════════════╝

	 ┌───@FMTCODEHDRFTR[HEADERS/FOOTERS]───╖                ┌──@TOFC[TABLE OF CONTENTS]──╖
	 │                     ║                │                     ║
	 │  Define Header      ║                │  Define Table       ║
	 │  Define Footer      ║                │  Table Entry        ║
	 │  Suppress Header    ║                ╘═════════════════════╝
	 │  Suppress Footer    ║
	 │  Header Margin      ║
	 │  Footer Margin      ║
	 └─────────────────────╜
FMTCODEMISC MISCELLANEOUS FORMAT CODES

^BMENU ACCESS:	@ME.HLP^FIXEDMENU[Main Menu]-->@ME.HLP^LAYOUT[Layout]-->@FMTCODES[Format Codes]-->Misc
KEYSTROKES:	<F2> L C M^b


			   ┌────MISCELLANEOUS────╖
			   │                     ║
			   │  Page Breaks        ║
			   │  Center line        ║
			   │  Comment line       ║
			   │  Ignore line        ║
			   │  Define user code   ║
			   ╘═════════════════════╝



	(Sub-Menu, Data Entry and/or Immediate Action)  From the
	Miscellaneous Format Codes sub-menu, you can cause the insertion
	of any of the following codes at the cursor point in the current file:

	.pb n	Pressing <ENTER> when the highlight bar is on the
		`page Break' selection will bring up a data entry box
		requesting the number of the next page in the
		document.  As soon as the page number is keyed in and
		<ENTER> is pressed, the code .pb n (n = next page
		number) is inserted into the document at the cursor.
		When the file printed, a page break will occur at the
		point of insertion and the next page will be numbered
		as specified.

	.ce	Pressing <ENTER> at the `Center' option will
		immediately cause a `.ce' code to be inserted at the
		cursor point in the current file.  When the file is
		formatted for printing, this line will be centered
		between the margins.

	.np	Choosing the `cOmment' option will insert an `.np'
		code at the cursor point in the current file.  This
		line will not be output to the .PRT file, but it
		will be decoded.  Comment lines are useful for
		defining headers and footers, setting margins,
		etc., without having the line printed as normal
		text.

	.ig	The `iGnore' option will insert the `.ig' code into
		the current file at the cursor.   This will send the
		line to the .PRT file for output, but any formatting
		codes contained in the line will not be processed.
		This is particularly useful for printing a format code
		literally.

	.du n	The `Define user code' option allows you to define
		`macro-style' formatting commands and execute them in a
		search-and-replace manner throughout the file.  There
		are two distinct codes associated with this option:
		`.du n' (the DEFINE code) and `.ud n' (the EXECUTE
		code).  When this option is selected, a data entry box
		will appear, requesting a number within the range of 1
		to 10 (inclusive) to be assigned to this user-defined
		formatting command.  The code .du n (n = assigned
		number) will then be inserted into the file at the
		cursor and everything that follows, including normal
		text and other formatting commands, up to the
		end-of-line, is considered part of the user-defined
		command.  Thereafter, each time the code `.ud n' is
		encountered, the `execute' command is replaced by the
		definition string.  It should be noted that the maximum
		string length for the definition is 255.  If the
		definition string exceeds that maximum, it will be
		truncated, yielding unpredictable results.
FMTCODEVAR VARIABLE FORMAT CODES

^BMENU ACCESS:	@ME.HLP^FIXEDMENU[Main Menu]-->@ME.HLP^LAYOUT[Layout]-->@FMTCODES[Format Codes]-->Variable
KEYSTROKES:	<F2> L C V^b

			   ┌──────VARIABLES──────╖
			   │                     ║
			   │  Filename           ║
			   │  Time               ║
			   │  Date               ║
			   │  Page Number        ║
			   ╘═════════════════════╝

	(Sub-Menu, Immediate Action - No Further Input)  Pressing
	<ENTER> while the highlight bar is on any of the above
	selections will insert the corresponding format code at the
	cursor point in the current file.  These codes, in turn, will
	cause the current value of the designated variable to be
	inserted at that point in the text when the .PRT file is
	created.  (See @PF[Print Formatter] for additional information on
	creating .PRT files.)  The variable format codes are as follows:






		.fn  -  Inserts the current filename.

		.ti  -	Inserts the time of day.

		.da  -	Inserts the current date.

		.pa  - 	Inserts the current page number.



FMTCODEATT FORMAT CODES - ATTRIBUTES

^BMENU ACCESS:	@ME.HLP^FIXEDMENU[Main Menu]-->@ME.HLP^LAYOUT[Layout]-->@FMTCODES[Format Codes]-->Attributes
KEYSTROKES:	<F2> L C A^b


			   ┌─────ATTRIBUTES──────╖
			   │                     ║
			   │  Underline Begin    ║
			   │  Underline End      ║
			   │  Emphasized Begin   ║
			   │  Emphasized End     ║
			   │  Italics Begin      ║
			   │  Italics End        ║
			   │  Doublewide Begin   ║
			   │  Doublewide End     ║
			   ╘═════════════════════╝


	(Sub-Menu, Immediate Action - No Further Input)  When one of
	the above items is selected by positioning the highlight bar
	over it and pressing <ENTER>, the appropriate format code is
	inserted into the current file at the cursor position.

	`Underline' and `Italics' are self-explanatory; `Emphasized is
	equivalent to BOLD and `Doublewide' is equivalent to EXPANDED
	print.  All of these codes are printer-specific and the user
	should check the @ME.HLP^IN[Install] and @ME.HLP^PR[Print] menus to verify the
	assigned printer before formatting the file.  The Attribute
	codes are as follows:

			.u1  =	Underline On
			.u0  =	Underline Off
			.e1  =	Emphasized On
			.e0  =	Emphasized Off
			.i1  =	Italic On
			.i0  =	Italic Off
			.d1  =	Doublewide On
			.d0  =	Doublewide Off


FMTCODEPGSTUP PAGE SETUP FORMAT CODES

^BMENU ACCESS:	@ME.HLP^FIXEDMENU[Main Menu]-->@ME.HLP^LAYOUT[Layout]-->@FMTCODES[Format Codes]-->Page Setup
KEYSTROKES:	<F2> L C P^b


			   ┌─────PAGE SETUP──────╖
			   │                     ║
			   │  Line Spacing       ║
			   │  Page Length        ║
			   │  Right Margin       ║
			   │  Left Margin        ║
			   │  Top Margin         ║
			   │  Bottom Margin      ║
			   │  Form Feeds         ║
			   ╘═════════════════════╝


	(Sub-Menu, Data Entry)  When any of the above items is selected,
	a data entry box will appear requesting input of a value -
	except for the last item, Form Feeds.  That will bring up a
	dialog box in which you can toggle On/Off (using the <ENTER>
	key) whether a form feed is to be issued at each page break.

	The codes are as follows:

		.ls n	Line spacing	(default = 1)
		.pl n	Page length	(default = 66)
		.rm n	Right margin	(default = 80)
		.lm n	Left margin	(default = 1)
		.tm n	Top margin	(default = 5)
		.bm n	Bottom margin	(default = 60)
		.ff n	Form feed	(default = Off)


FMTCODEHDRFTR FORMAT CODES - HEADERS/FOOTERS

^BMENU ACCESS:	@ME.HLP^FIXEDMENU[Main Menu]-->@ME.HLP^LAYOUT[Layout]-->@FMTCODES[Format Codes]-->Headers/Footers
KEYSTROKES:	<F2> L C H^b

	(Sub-Menu, Immediate Action and/or Data Entry)  These items deal
				  with the definition and placement of
	┌───HEADERS/FOOTERS───╖	  headers and footers within the text.  In
	│                     ║	  defining headers and footers, everything
	│  Define Header      ║	  to the right of a .dh or .df code, up to
	│  Define Footer      ║	  the end-of-line, is considered to be
	│  Suppress Header    ║	  part of the definition (maximum string
	│  Suppress Footer    ║	  length = 255).  The following format
	│  Header Margin      ║	  codes can be used within a header or
	│  Footer Margin      ║	  footer definition:  .ce (center this
	╘═════════════════════╝	  line); .fn (insert current filename);
	.ti (insert current time-of-day); .da (insert today's date); .pa
	(insert current page number); and all @FMTCODEATT[printer-specific codes]
	(underline, italics, etc.).




	NOTE:  When inserting a header/footer code, you will be prompted
	to indicate whether it will be for a Primary or Secondary header
	or footer.  A primary header/footer prints only on ODD pages if
	a secondary header/footer is defined to print on EVEN pages;
	otherwise, the primary header/footer prints on all pages.

	The header/footer format codes are as follows:

	.dh str...	Defines text string to be printed as header;
			(default: blank string)
	.df str...	Defines text string to be printed as footer;
			(default: blank string)
	.sh		Suppress header printing, this page only
	.sf		Suppress footer printing, this page only
	.hm n		Set header margin to n;
			(default: n = 2)
	.fm n		Set footer margin to n;
			(default: n = 64)
TOFC TABLE OF CONTENTS GENERATOR

^BMENU ACCESS:	@ME.HLP^FIXEDMENU[Main Menu]-->@ME.HLP^LAYOUT[Layout]-->@FMTCODES[Format Codes]-->Table-of-contents
KEYSTROKES:	<F2> L C T^b

	(Sub-Menu, Data Entry)  The Table-of-Contents Generator is an
				integral part of the @PF[Print Formatter].  It
       ┌─TABLE OF CONTENTS─╖    enables you to generate a table of contents
       │                   ║    with up to five indentation levels and four
       │  Define Table     ║    different styles.  The first selection,
       │  Table Entry      ║    Define Table, will request parameters, one
       ╘═══════════════════╝    at a time, for the following items:
				right margin (the column in which to
	right-justify page numbers); whether to use periods (.....) between
	the entry and the corresponding page number; then - a) the number of
	columns to indent the entries and, b) the style number to assign the
	entries - for Levels 1 through 5, respectively.  It should be noted
	that Level 1 indent is the number of columns from (the current left
	margin/column 1)??, while subsequent indents are offsets from the
	previous level.  The next parameters that will be requested are style
	numbers for each level of entry.  The styles available are as follows:

	    STYLE NO.       STYLE NAME                EXAMPLE
	    ---------      -------------         -------------------
		0          plain vanilla         COMPILING A MACRO

		1    	     numeric	         1. COMPILING A MACRO

		2    	      alpha		 B. COMPILING A MACRO

		3    	   roman numeral         IV. COMPILING A MACRO


	After the first two parameters - a right margin setting and a Yes
	or No response to the use of periods between the table entries and
	their page numbers - a message is displayed at the bottom of the
	data entry box indicating that you can press the <ESC> key to
	accept defaualt values for the remaining parameters.  The
	default values for all of the entries are as follows:

		Right margin		= 75
		(.....) Yes/No ?	= No (spaces will be used)
		Level 1 indent		=
		Level 2 indent		=    (TEST THESE OFFSETS)!!
		Level 3 indent		=
		Level 4 indent		=
		Level 5 indent		=
		Style, all levels	= 0 (plain vanilla)

	When all of the parameters have been entered, a code, similar to
	the following representation will be inserted at the cursor
	position in the current file:

			.tc 55 1 5 3 5 2 5 1 5 2 5 0

	Once the parameters have been stored, a .te designation is
	required to identify table entries.  This can be achieved either
	by keying in a `.te n' code during text entry (n = indent level
	1 through 5) or using the Menu Access method to insert the code
	at the cursor point in the current file.
